#!/usr/bin/env python

import time
from dmObject import DmObject

class ObservedFile(DmObject):

    DEFAULT_KEY_LIST = [ 'path', 'lastUpdatedTimestamp' ]

    def __init__(self, path=None, dict={}):
        DmObject.__init__(self, dict)
        if path:
            self['path'] = path

    def setLastUpdatedTimestampToNow(self):
        self['lastUpdateTimestamp'] = time.time()

    def getLastUpdatedTimestamp(self):
        self.get('lastUpdateTimestamp')

    def getPath(self):
        return self.get('path')

####################################################################
# Testing
if __name__ == '__main__':
    of = ObservedFile(path='tmp/xyz')
    print of
    of.setLastUpdatedTimestampToNow()
    print of

